/* CSS For the the CIS 195 Page */

/* Google Font Import */
@import url('https://fonts.googleapis.com/css2?family=Silkscreen:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

/* Reset Rule */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
	background-color: rgb(48, 43, 105);
	color: #406;
	font-family: 'Silkscreen', sans-serif;
	overflow-x: hidden;
    margin: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    justify-content: center
}

main {
	border: 30px solid #2c074b;
	width: 94vw; aspect-ratio: 1/1;
	margin: 0 auto;
	border-radius: 50%;
	position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	overflow: hidden;
    flex-shrink: 0;
}

/* H1 for index.html and universal rule */
h1 {
    text-align: center;
	color: #7a39c4;
	text-transform: uppercase;
	font-weight: normal;
	letter-spacing: 2vw;
	line-height: 1.2;
	font-size: 6vw;
    margin-top: -700px;
    padding: 0;
    animation: animate3D 2s ease-in forwards;
    text-shadow: 0px 0px 0px #000;
}

/* Animation sequence for the H1 headers */
@keyframes animate3D {
    0% {
        text-shadow: 0px 0px 0px #000; 
        color: #7a39c4; 
    }
    50% {
        text-shadow: 1px 1px 2px #000, 2px 2px 4px #7a39c4; 
        color: #5e2ca5; 
    }
    100% {
        text-shadow: 2px 2px 0px #000, 4px 4px 0px #7a39c4, 6px 6px 0px #21a1f1; 
    }
}

/* H1 for xander.html */
.name {
    text-align: center;
    color: #7a39c4;
    font-size: 400%;;
    overflow-wrap: break-word;
    word-wrap: break-word;
    padding-top: 10%;
}

/* H1 for participation page */
.lab-heading {
    font-family: 'Silkscreen', sans-serif;
    color: #7a39c4;
    text-align: center;
    margin-bottom: 100px;
}

nav {
	padding: 10px 30px;
	margin: 0 auto;
	width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
	background-color: rgb(83, 13, 104);
	text-align: center;
	position: relative;
	border-right: 8px solid rgb(83, 13, 104);
	border-left: 8px solid rgb(83, 13, 104);
	border-radius: 10px;
}

nav a {
	color: rgb(21, 152, 204);
	text-decoration: none;
	font-size: 16pt;
	padding: 10px 15px;
    margin: 5px;
    flex: 1 1 auto;
    text-align: center;
}

nav a:hover {
    background-color: rgb(12, 139, 194);
    color: #fff;
    border-radius: 5px;
}

/* P for bio page to change things that aren't in body styling */
.bio {
    width: 70%;
    text-align: center;
    padding-top: 1%;
    color: #ffffff;
    font-size: 1.5em;
    overflow-wrap: break-word;
    word-wrap: break-word;
    font-family: "Roboto", sans-serif;
    word-break: normal;
    line-height: 1.5;
}

.hometown_bio {
    width: 80%;
    text-align: center;
    color: #ffffff;
    font-size: 1.5em;
    overflow-wrap: break-word;
    word-wrap: break-word;
    font-family: "Roboto", sans-serif;
    word-break: normal;
    margin-top: 40px;
    line-height: 1.5;
}

.img_container {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 20px 0;
}

.hometown_img {
    width: 30%; 
    display: block; 
    box-shadow: 2px 2px 20px rgba(0, 0, 0, 0.5);
}

.hometown_img-2 {
    width: 30%; 
    display: block;
    box-shadow: 2px 2px 20px rgba(0, 0, 0, 0.5);
}

sup {
    font-size: .8em;
    vertical-align: super;
    color: #ccc; 
}

/* P for participationn-lab to change font between body's special font */
.description {
    font-family: "Roboto", sans-serif;
    color: #ffffff;
    font-size: 1.5em;
}

img {
	width: 250px;
	float: right !important;
    margin: 20px;
	align-self: flex-end;
    display: flex;
    border-radius: 10px;
    box-shadow: 2px 2px 20px rgba(0, 0, 0, .5);
}

footer {
	position: relative;
    text-align: center;
	width: 100%;
	color: #EEE;
    margin-top: auto;
	border-top: 1px solid #777;
    background-color: #000000;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
}

.citation {
    padding-bottom: 10px;
}